image: python:latest

before_script:
  - pip install mkdocs mkdocs-material mkdocs-git-revision-date-localized-plugin mike

pages:
  script:
    - mkdocs build
    - mv site public
  artifacts:
    paths:
      - public
  only:
    - master